oasis.names.tc.saml._1_0.assertion

## Class AttributeDesignatorType

- java.lang.Object
- - oasis.names.tc.saml._1_0.assertion.AttributeDesignatorType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    Attribute

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-09-11T10:23:38+02:00",
                 comments="JAXB RI v2.3.7")
      public class AttributeDesignatorType
      extends Object
      implements Serializable

  Java class for AttributeDesignatorType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeDesignatorType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <attribute name="AttributeName" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="AttributeNamespace" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeDesignatorType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAttributeName()` Gets the value of the attributeName property.
    `String` | `getAttributeNamespace()` Gets the value of the attributeNamespace property.
    `void` | `setAttributeName(String value)` Sets the value of the attributeName property.
    `void` | `setAttributeNamespace(String value)` Sets the value of the attributeNamespace property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeDesignatorType

          public AttributeDesignatorType()

  - ### Method Detail

    - #### getAttributeName

          public String getAttributeName()

      Gets the value of the attributeName property.
      Returns:
        possible object is `String`

    - #### setAttributeName

          public void setAttributeName(String value)

      Sets the value of the attributeName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAttributeNamespace

          public String getAttributeNamespace()

      Gets the value of the attributeNamespace property.
      Returns:
        possible object is `String`

    - #### setAttributeNamespace

          public void setAttributeNamespace(String value)

      Sets the value of the attributeNamespace property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSDIETICIAN 4.4.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.